|  | Home · All Classes · Modules

# QDomComment Class Reference
[QtXml module]

The QDomComment class represents an XML comment. More...

Inherits QDomCharacterData.

### Methods

- __init__ (self)
- __init__ (self, QDomComment x)
- QDomNode.NodeType nodeType (self)

## Detailed Description

The QDomComment class represents an XML comment.

A comment in the parsed XML such as this:

     <!-- this is a comment -->

is represented by QDomComment objects in the parsed Dom tree.

For further information about the Document Object Model see http://www.w3.org/TR/REC-DOM-Level-1/ and http://www.w3.org/TR/DOM-Level-2-Core/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Method Documentation

### QDomComment.__init__ (self)

Constructs an empty comment. To construct a comment with content, use the QDomDocument.createComment() function.

### QDomComment.__init__ (self, QDomComment x)

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomNode.NodeType QDomComment.nodeType (self)

Returns `CommentNode`.